<?php


/**
 * @file
 * Bubbletimer's own FormAPI (FAPI) element called: bubbletimer_slot
 */


function bubbletimer_elements() {
  return array(
    'bubbletimer_slot' => array(
      '#input' => TRUE,
      '#process' => array('bubbletimer_slot_process'),
      '#element_validate' => array('bubbletimer_slot_validate'),
    ),
  );
}


function bubbletimer_slot_process($element, $edit, &$form_state, $complete_form) {
  return $element;
}


function bubbletimer_slot_validate($element, &$form_state) {
  return $element;
}


function theme_bubbletimer_slot($element) {
  global $base_path;
  $path = $base_path.drupal_get_path('module', 'bubbletimer');

  $timestamp = array_pop($element['#array_parents']);
  $nid       = array_pop($element['#array_parents']);

  $img     = '<img id="img_slot['.$nid.']['.$timestamp.']" ';
  $img    .= 'src="'.$path.'/images/cb_'.($element['#default_value'] ? 'on' : 'off').'.gif" ';
  $img    .= 'onclick="bubbletimer_slot_toggle(this);" />';
  $hidden  = '<input type="hidden" ';
  $hidden .= 'nid="'.$nid.'" ';
  $hidden .= 'timestamp="'.$timestamp.'" ';
  $hidden .= 'name="slot['.$nid.']['.$timestamp.']" value="'.$element['#default_value'].'" />';

  return $img.$hidden;
}


function form_type_bubbletimer_slot_value($element, $edit = FALSE) {
  return $element['#default_value'];
}