<?php

/**
 * Helper to implementation of hook_context_default_contexts().
 */
function _bubbletimer_group_total_context_default_contexts() {
  $items = array();

  $items[] = array(
    'namespace' => 'spaces',
    'attribute' => 'feature',
    'value' => 'bubbletimer_group_total',
    'description' => 'Bubbletimer group total',
    'menu_trail' => array(
      'group_report' => 'group_report',
    ),
    'menu' => 'group_report',
  );
  return $items;
}

/**
 * Helper to implementation of hook_menu_default_items().
 */
function _bubbletimer_group_total_menu_default_items() {
  $items = array();

  $items[] = array(
    'title' => 'Bubbletimer report',
    'path' => 'bubbletimer_group_total',
    'weight' => '0',
    'description' => 'Bubbletimer group total',
  );
  $items[] = array(
    'title' => 'Group report',
    'path' => 'group_report',
    'weight' => '0',
  );
  // Translatables
  array(
    t('Bubbletimer group total'),
    t('Bubbletimer report'),
    t('Group report'),
  );


  return $items;
}
